Loading...
Searching...
No Matches
libcamera::Debayer::DebayerOutputConfig Struct Reference

Structure describing the output frame configuration. More...

## Public Attributes

unsigned int | bpp
unsigned int | stride
unsigned int | frameSize

## Detailed Description

Structure describing the output frame configuration.

Defines how the output of the debayer process is laid out in memory. It includes per-pixel size, stride, and total frame size.

## Member Data Documentation

## bpp

unsigned int libcamera::Debayer::DebayerOutputConfig::bpp

Bytes used per pixel in the output format.

## frameSize

unsigned int libcamera::Debayer::DebayerOutputConfig::frameSize

Total frame size in bytes for the output buffer.

## stride

unsigned int libcamera::Debayer::DebayerOutputConfig::stride

Line stride in bytes for the output frame.

The documentation for this struct was generated from the following files:

- src/libcamera/software_isp/debayer.h
- src/libcamera/software_isp/debayer.cpp